diff --git a/doc/src/sgml/recovery-config.sgml b/doc/src/sgml/recovery-config.sgml
index 0e78d90..a1afa39 100644
--- a/doc/src/sgml/recovery-config.sgml
+++ b/doc/src/sgml/recovery-config.sgml
@@ -403,10 +403,10 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         </listitem>
        </varlistentry>
 
-     <varlistentry id="min-recovery-apply-delay" xreflabel="min_recovery_apply_delay">
-      <term><varname>min_recovery_apply_delay</varname> (<type>integer</type>)
+     <varlistentry id="recovery-min-apply-delay" xreflabel="recovery_min_apply_delay">
+      <term><varname>recovery_min_apply_delay</varname> (<type>integer</type>)
       <indexterm>
-        <primary><varname>min_recovery_apply_delay</> recovery parameter</primary>
+        <primary><varname>recovery_min_apply_delay</> recovery parameter</primary>
       </indexterm>
       </term>
       <listitem>
diff --git a/doc/src/sgml/release-9.4.sgml b/doc/src/sgml/release-9.4.sgml
index 21c6fc7..eaa036c 100644
--- a/doc/src/sgml/release-9.4.sgml
+++ b/doc/src/sgml/release-9.4.sgml
@@ -778,7 +778,7 @@
         Allow <link
         linkend="recovery-config"><filename>recovery.conf</></link>
         parameter <link
-        linkend="min-recovery-apply-delay"><varname>min_recovery_apply_delay</></link>
+        linkend="recovery-min-apply-delay"><varname>recovery_min_apply_delay</></link>
         to force delayed replication (Robert Haas, Fabr&iacute;zio de
         Royes Mello, Simon Riggs)
        </para>
diff --git a/src/backend/access/transam/recovery.conf.sample b/src/backend/access/transam/recovery.conf.sample
index 2612a7d..a2e0d1e 100644
--- a/src/backend/access/transam/recovery.conf.sample
+++ b/src/backend/access/transam/recovery.conf.sample
@@ -142,7 +142,7 @@
 # each transaction commit only when the system time on the standby is at
 # least five minutes past the commit time reported by the master.
 #
-#min_recovery_apply_delay = 0
+#recovery_min_apply_delay = 0
 #
 #---------------------------------------------------------------------------
 # HOT STANDBY PARAMETERS
diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 3406fa5..647785e 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -223,7 +223,7 @@ static bool recoveryPauseAtTarget = true;
 static TransactionId recoveryTargetXid;
 static TimestampTz recoveryTargetTime;
 static char *recoveryTargetName;
-static int	min_recovery_apply_delay = 0;
+static int	recovery_min_apply_delay = 0;
 static TimestampTz recoveryDelayUntilTime;
 
 /* options taken from recovery.conf for XLOG streaming */
@@ -5236,18 +5236,18 @@ readRecoveryCommandFile(void)
 					(errmsg_internal("trigger_file = '%s'",
 									 TriggerFile)));
 		}
-		else if (strcmp(item->name, "min_recovery_apply_delay") == 0)
+		else if (strcmp(item->name, "recovery_min_apply_delay") == 0)
 		{
 			const char *hintmsg;
 
-			if (!parse_int(item->value, &min_recovery_apply_delay, GUC_UNIT_MS,
+			if (!parse_int(item->value, &recovery_min_apply_delay, GUC_UNIT_MS,
 						   &hintmsg))
 				ereport(ERROR,
 						(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
-						 errmsg("parameter \"%s\" requires a temporal value", "min_recovery_apply_delay"),
+						 errmsg("parameter \"%s\" requires a temporal value", "recovery_min_apply_delay"),
 						 hintmsg ? errhint("%s", _(hintmsg)) : 0));
 			ereport(DEBUG2,
-					(errmsg("min_recovery_apply_delay = '%s'", item->value)));
+					(errmsg("recovery_min_apply_delay = '%s'", item->value)));
 		}
 		else
 			ereport(FATAL,
@@ -5669,7 +5669,7 @@ SetRecoveryPause(bool recoveryPause)
 }
 
 /*
- * When min_recovery_apply_delay is set, we wait long enough to make sure
+ * When recovery_min_apply_delay is set, we wait long enough to make sure
  * certain record types are applied at least that interval behind the master.
  *
  * Returns true if we waited.
@@ -5690,7 +5690,7 @@ recoveryApplyDelay(XLogRecord *record)
 	int			microsecs;
 
 	/* nothing to do if no delay configured */
-	if (min_recovery_apply_delay == 0)
+	if (recovery_min_apply_delay == 0)
 		return false;
 
 	/*
@@ -5711,7 +5711,7 @@ recoveryApplyDelay(XLogRecord *record)
 		return false;
 
 	recoveryDelayUntilTime =
-		TimestampTzPlusMilliseconds(xtime, min_recovery_apply_delay);
+		TimestampTzPlusMilliseconds(xtime, recovery_min_apply_delay);
 
 	/*
 	 * Exit without arming the latch if it's already past time to apply this
